
package com.tmerclub.cloud.order.service;


import com.tmerclub.cloud.order.model.PurchaseOrderAddr;

/**
 * 采购订单配送地址
 *
 * @author tmerclub
 * @date 2020-12-05 14:13:50
 */
public interface PurchaseOrderAddrService {

    /**
     * 根据采购订单配送地址id获取采购订单配送地址
     *
     * @param purchaseOrderAddrId 采购订单配送地址id
     * @return 采购订单配送地址
     */
    PurchaseOrderAddr getById(Long purchaseOrderAddrId);

    /**
     * 保存采购订单配送地址
     * @param purchaseOrderAddr 采购订单配送地址
     */
    void save(PurchaseOrderAddr purchaseOrderAddr);

    /**
     * 更新采购订单配送地址
     * @param purchaseOrderAddr 采购订单配送地址
     */
    void update(PurchaseOrderAddr purchaseOrderAddr);

    /**
     * 根据采购订单配送地址id删除采购订单配送地址
     * @param purchaseOrderAddrId
     */
    void deleteById(Long purchaseOrderAddrId);
}
